LrcXADataSource (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jdbc.lrc
Class LrcXADataSource

    java.lang.Object
      bitronix.tm.resource.jdbc.lrc.LrcXADataSource

All Implemented Interfaces:
  CommonDataSource, XADataSource

    public class LrcXADataSource

extends Object
implements XADataSource

XADataSource implementation for a non-XA JDBC resource emulating XA with Last Resource Commit.

Author:
  lorban, brettw

Constructor Summary
`LrcXADataSource()`

Method Summary
`String` | `getDriverClassName()`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`String` | `getPassword()`
`String` | `getUrl()`
`String` | `getUser()`
`XAConnection` | `getXAConnection()`
`XAConnection` | `getXAConnection(String user, String password)`
`void` | `setDriverClassName(String driverClassName)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setPassword(String password)`
`void` | `setUrl(String url)`
`void` | `setUser(String user)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcXADataSource

    public LrcXADataSource()

Method Detail

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getDriverClassName

    public String getDriverClassName()

### setDriverClassName

    public void setDriverClassName(String driverClassName)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getUser

    public String getUser()

### setUser

    public void setUser(String user)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `CommonDataSource`
  Throws:
    `SQLException`

### getXAConnection

    public XAConnection getXAConnection()
                                 throws SQLException

  Specified by:
    `getXAConnection` in interface `XADataSource`
  Throws:
    `SQLException`

### getXAConnection

    public XAConnection getXAConnection(String user,
                                        String password)
                                 throws SQLException

  Specified by:
    `getXAConnection` in interface `XADataSource`
  Throws:
    `SQLException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.